package mobile_api_controllers

import (
	"XT_New/service"
)

type DoctorsApiController struct {
	MobileBaseAPIAuthController
}

func (c *DoctorsApiController) GetAllDoctorAndNurse() {
	adminUserInfo := c.GetMobileAdminUserInfo()
	doctors, nursers, _ := service.GetAllDoctorAndNurse(adminUserInfo.Org.Id, adminUserInfo.App.Id)
	c.ServeSuccessJSON(map[string]interface{}{
		"doctors": doctors,
		"nursers": nursers,
	})
	return
}

func (c *DoctorsApiController) GetAllAdminUsers() {
	//adminUserInfo := c.GetAdminUserInfo()
	adminUserInfo := c.GetMobileAdminUserInfo()
	users, _ := service.GetAllAdminUsers(adminUserInfo.Org.Id, adminUserInfo.App.Id)
	c.ServeSuccessJSON(map[string]interface{}{
		"users": users,
	})
	return
}
